curl --request PATCH \
--url https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets/schedule \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduledName": "Tier upgrade",
"scheduledTimestamp": 1785369600000,
"filters": {
"unique_id": "1001"
}
}
'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets/schedule"
payload = {
"scheduledName": "Tier upgrade",
"scheduledTimestamp": 1785369600000,
"filters": { "unique_id": "1001" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduledName: 'Tier upgrade',
scheduledTimestamp: 1785369600000,
filters: {unique_id: '1001'}
})
};
fetch('https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Schedule created"
}Schedule a wallet update (by filter)
Schedules a pass change at a future time for passes in the program matching the request filters.
Authorizations
Query Parameters
Person Identifier
Email Address, for backwards compatibility, you should be using the unique_id. Only works if the email address is the unique identifier for the brand.
External unique identifier for the wallet card (recommended). Must match the value stored in passdata.metaData at issue time, such as memberId.
Body
The pass record creation input
ScheduleName
If provided scheduledDateTime and scheduledTimezone must be ignored.
Should be provided along with scheduledTimezone.
Should be provided along with scheduledDateTime.
Show child attributes
Show child attributes
Response
OK
If provided, this group identifier will be used to group the wallet passes together.
The optional wallet pass tier identifier for updating the tier on the wallet card.
The current message for the wallet pass
Show child attributes
Show child attributes
The download url for the pass
The download url for the pass for Apple Wallet
The download url for the pass for Google Wallet
The status for the pass
The numeric representation of the status